## ros-humble-rosidl-generator-dds-idl 0.8.1

=== debian/changelog ===
ros-humble-rosidl-generator-dds-idl (0.8.1-2bookworm) bookworm; urgency=high

  * Add changelog (#56 <https://github.com/ros2/rosidl_dds/issues/56>)
  * Contributors: Ivan Santiago Paunovic

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.8.0-2bookworm) bookworm; urgency=high

  * Expose .idl to DDS .idl conversion via rosidl translate CLI. (#55 <https://github.com/ros2/rosidl_dds/issues/55>)
  * Update maintainers. (#54 <https://github.com/ros2/rosidl_dds/issues/54>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.7.1-2bookworm) bookworm; urgency=high

  * Fix customization hooks. (#51 <https://github.com/ros2/rosidl_dds/issues/51>)
  * Simplify code using updated definition API. (#50 <https://github.com/ros2/rosidl_dds/issues/50>)
  * Update code to match refactoring of rosidl definitions. (#49 <https://github.com/ros2/rosidl_dds/issues/49>)
  * Contributors: Dirk Thomas, Michael Carroll

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.7.0-2bookworm) bookworm; urgency=high

  * Change generator to IDL-based pipeline. (#47 <https://github.com/ros2/rosidl_dds/issues/47>)
  * Contributors: Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 11 Apr 2019 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.6.0-2bookworm) bookworm; urgency=high

  * Allow generated IDL files. (#45 <https://github.com/ros2/rosidl_dds/issues/45>)
  * Support service generation on action folders. (#44 <https://github.com/ros2/rosidl_dds/issues/44>)
  * Contributors: Alexis Pojomovsky, Michel Hidalgo, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 14 Nov 2018 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.5.0-2bookworm) bookworm; urgency=high

  * Use CMAKE_CURRENT_BINARY_DIR for arguments json. (#42 <https://github.com/ros2/rosidl_dds/issues/42>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 22 Jun 2018 16:00:00 -0000

ros-humble-rosidl-generator-dds-idl (0.4.0-2bookworm) bookworm; urgency=high

  * Update style to satisfy new flake8 plugins. (#41 <https://github.com/ros2/rosidl_dds/issues/41>)
  * Fix spelling in docblock.
  * Comply with flake8 + flake8-import-order linters. (#40 <https://github.com/ros2/rosidl_dds/issues/40>)
  * Remove unnecessary include. (#39 <https://github.com/ros2/rosidl_dds/issues/39>)
  * Support sequences of upper bounded strings. (#38 <https://github.com/ros2/rosidl_dds/issues/38>)
  * Update schema url in manfiest file.
  * Add schema to manifest files.
  * Require CMake 3.5. (#35 <https://github.com/ros2/rosidl_dds/issues/35>)
  * Change .template into .em (#34 <https://github.com/ros2/rosidl_dds/issues/34>)
  * Use CTest BUILD_TESTING. (#33 <https://github.com/ros2/rosidl_dds/issues/33>)
  * Update indentation of template logic. (#32 <https://github.com/ros2/rosidl_dds/issues/32>)
  * Change constant member to allow reuse of other functions using the type. (#30 <https://github.com/ros2/rosidl_dds/issues/30>)
  * Change ifder to match filename.
  * Add explicit build type.
  * Fix SKIP_INSTALL to affect generated files. (#26 <https://github.com/ros2/rosidl_dds/issues/26>)
  * Refactor generators, fix timestamp of generated files. (#24 <https://github.com/ros2/rosidl_dds/issues/24>)
  * Fix style.
  * Fix assert.
  * Fix generated idl for static arrays of non-primitive types. (#22 <https://github.com/ros2/rosidl_dds/issues/22>)
  * Refactor message generation. (#20 <https://github.com/ros2/rosidl_dds/issues/20>)
  * Replace hard coded pragma with extension point. (#18 <https://github.com/ros2/rosidl_dds/issues/18>)
  * Only rewrite templated files when the content has changed. (#14 <https://github.com/ros2/rosidl_dds/issues/14>)
  * Disable debug output.
  * Add missing copyright / license information.
  * Code style only.
  * Use two uint64 as writer guid. (#10 <https://github.com/ros2/rosidl_dds/issues/10>)
  * Added support for Request and Response IDL files. (#7 <https://github.com/ros2/rosidl_dds/issues/7>)
  * Fix warning from rti code generator. (#6 <https://github.com/ros2/rosidl_dds/issues/6>)
  * White space only.
  * Use ament_lint_auto. (#2 <https://github.com/ros2/rosidl_dds/issues/2>)
  * Add support for services. (#1 <https://github.com/ros2/rosidl_dds/issues/1>)
  * Use project(.. NONE).
  * Consolidate dependencies.
  * Expand PYTHON_INSTALL_DIR at configure time.
  * Use normalize_path().
  * Allow customizing idl generator.
  * Add constant support.
  * Support upper bounds on arrays and string, support default values for primitive types.
  * Pass upper bound to idl as well as introspection type support.
  * Refactor namespaces / includes for cross implementation communication.
  * Update mapping of primitive types.
  * Support multiple type supports.
  * Add packages which have been moved from other repos.
  * Contributors: Dirk Thomas, Esteve Fernandez, dhood

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000
