=== debian/control ===
Source: ros-humble-rosidl-generator-dds-idl
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-generator-dds-idl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-ament-index-python, ros-humble-rosidl-cli, ros-humble-rosidl-cmake, ros-humble-ros-workspace
Description: Generate the DDS interfaces for ROS interfaces.
